Skip to main content
GET
/
v1
/
agents
/
{passportId}
/
proof
Typescript (SDK)
import { RaijinLabsLucidAi } from "raijin-labs-lucid-ai";

const raijinLabsLucidAi = new RaijinLabsLucidAi();

async function run() {
  const result = await raijinLabsLucidAi.agents.mirror.lucidGetAgentProof({
    adminAuth: process.env["RAIJINLABSLUCIDAI_ADMIN_AUTH"] ?? "",
  }, {
    passportId: "<id>",
  });

  console.log(result);
}

run();
{
  "epoch_id": "epoch_2024_001",
  "mmr_root": "c5d2460186f7233c927e7db2dcc703c0e500b653ca82273b7bfad8045d85a470",
  "leaf_count": 142,
  "status": "anchored",
  "chain_tx": "5xYz...abc123",
  "finalized_at": 1710374400,
  "proof": {
    "leaf_index": 141,
    "proof": [
      "a1b2c3d4e5f6...",
      "f6e5d4c3b2a1..."
    ],
    "root": "c5d2460186f7233c927e7db2dcc703c0e500b653ca82273b7bfad8045d85a470",
    "directions": [
      "L",
      "R",
      "L"
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.lucid.foundation/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-Admin-Key
string
header
required

Admin API key for internal/operator endpoints

Path Parameters

passportId
string
required

Agent passport identifier for latest proof

Response

Latest proof

passport_id
string
required
epoch_id
string
required
mmr_root
string
required
verified
boolean
required
epoch_index
integer
leaf_count
integer
chain_tx
string | null
finalized_at
string<date-time>
total_receipts
integer